0 Replies Latest reply on May 7, 2015 3:31 PM by raylite3

    Error using GWT extension 1.0.0.Alpha2

    raylite3 Apprentice

      Hello,

      I am getting the following IllegalAccessError. Maybe the extension or GWT requires a specific version of Junit? I am using junit 4.12.

       

      java.lang.IllegalAccessError: tried to access method com.google.gwt.junit.JUnitShell.getUnitTestShell()Lcom/google/gwt/junit/JUnitShell; from class org.jboss.arquillian.gwt.GwtTestExecutor

        at org.jboss.arquillian.gwt.GwtTestExecutor.onAfterDeploy(GwtTestExecutor.java:91)

        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

        at java.lang.reflect.Method.invoke(Method.java:606)

        at org.jboss.arquillian.core.impl.ObserverImpl.invoke(ObserverImpl.java:94)

        at org.jboss.arquillian.core.impl.EventContextImpl.invokeObservers(EventContextImpl.java:99)

        at org.jboss.arquillian.core.impl.EventContextImpl.proceed(EventContextImpl.java:81)

        at org.jboss.arquillian.core.impl.ManagerImpl.fire(ManagerImpl.java:145)

        at org.jboss.arquillian.core.impl.ManagerImpl.fire(ManagerImpl.java:116)

        at org.jboss.arquillian.core.impl.EventImpl.fire(EventImpl.java:67)

        at org.jboss.arquillian.container.impl.client.container.ContainerDeployController$3.call(ContainerDeployController.java:176)

        at org.jboss.arquillian.container.impl.client.container.ContainerDeployController$3.call(ContainerDeployController.java:128)

        at org.jboss.arquillian.container.impl.client.container.ContainerDeployController.executeOperation(ContainerDeployController.java:271)

        at org.jboss.arquillian.container.impl.client.container.ContainerDeployController.deploy(ContainerDeployController.java:127)